Bug 743750 - [abrt] libreoffice-core-3.4.3.2-11.fc16: SalDisplay::addXineramaScreenUnique killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.3.2-11.fc16: SalDisplay::addXineramaScreenUnique ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:f72226c6b9a0d93f505e63f0a90...
:
Depends On:
Blocks: 751982
  Show dependency treegraph
 
Reported: 2011-10-05 17:43 EDT by igor.redhat@gmail.com
Modified: 2011-11-08 03:38 EST (History)
5 users (show)

See Also:
Fixed In Version: libreoffice-3.4.3.2-15.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 21:20:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (71.88 KB, text/plain)
2011-10-05 17:44 EDT, igor.redhat@gmail.com
no flags Details
File: backtrace (46.31 KB, text/plain)
2011-10-05 17:44 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2011-10-05 17:43:59 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/M-EAS_MDTV.docx --splash-pipe=7
comment:        This seemingly happened on its own. The only thing that is somewhat time-correlated is that I reconnected to a wifi network shortly before...
crash_function: SalDisplay::addXineramaScreenUnique
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.1.0-0.rc8.git0.1.fc16.x86_64
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Wed Oct  5 16:37:58 2011
uid:            500
username:       igor
xsession_errors: 

backtrace:      Text file, 47425 bytes
maps:           Text file, 73609 bytes

build_ids:
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:bce8fb6913e0b658c53b896b05d075af7fa5cf73
:4448a6d7b3b364860a86559c1b3728f3279bf2fe
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fc32ad002deebac7a24a1635381e1f7e27141bf4
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:29c770cdd383511996271a4133d081acadd18e31
:3f33d3dd4cf7a6cfc2964e59b0a25df32f82a416
:d0c6e13f00a20952a72a945c929efb175fd760e3
:ba0d2215363172539035fed23045155d62f8016b
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:69ec8140ab58bb0e77b72d114fed89d14715ba2f
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:556c0b7d4968c111101b7fec18336bbcbd16079d
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:aaf62304b0fc10611d35b4f56005479d4c58868d
:d2dd6f2d9b1716a01368c815b0a5941aa76bf7cb
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:54619a5b12bcd84b1a0c2f76f42f64bb2b2bb421
:012dd7e8b459202d7077c30973bb9c5df3ac8eab
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:376567a97a463859c28334ed8bf71262183298c2
:3f22c873a6b12b79e8882de2ccefde9e06d5cbc7
:6f964868b288a815950bfcf8d58fa7525f6cfaa6
:bd9bc4185c924a4c051a3733aa7bbc026bbbb24c
:98fa95d21e16075ada6df19748c6c133ee9165d0
:91689252818532ec13597b6528d38be93b2706c4
:381b7069d555ff62cc543b6f7d3053b9fdcf2c20
:f2f0083eee5c81eaeb79d2e4234dc495b9fca4d4
:890ab6679360d786ad73cf5ab210babcc1d9936d
:fd4012ada9dd414e9a35bf3d51eb9ce468d3467e
:954b760933764c15018f3937ab72f5bbe2018a35
:23b6792e3218744316fd495002f40a037c2e0095
:3954181c92ad451cc947805254e8e0cac248cd3c
:f1ed2e993eada8d974044e16902b843651e918b4
:e2e9aa46522b1e2189777d91a5666c34fc7d46df
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:fa19db2e46da65e08b52ccdc9a89e2dd21d02ef5
:4a0257e5af573652a515aab64c6723fc406bcda1
:6de4654712a21b190ef5b0074138b13253ca5556
:9afa4a71f0f6a189e8dcf1179b9445a81df0ab28
:37d977659123fa04606aa35cba63f9491cc75bbf
:8eb93104e144ce459d2a3f49d502636879464744
:ab0f61dd678b713cf6fe81e5b5a1b67e8f4ee28a
:7acb31c013adade2322679d883709410ea49dc54
:0adaf9dc82e2f0b2d804141f68d33907876224a4
:7114a807da0b71a348e6879a7f1512bd611c9a03
:6c7f7f6bbc55e2f8f5bf5d4163f7bc6aa37e7974
:e21d62a3622c3edb824299d83be75df8fdddbe53
:e929b57316ad0e287c974898fbd60dd32e047c72
:f9a1b6daef0430cb9fd451e3887cf2d97c5e2845
:87fcf1d16d99dafe12a50036b35705ba576c508f
:c8635b744cd593b273b6ba6403f52b7b142f129f
:cc9a4d25b0cf4d79e75390f3b75d6b95efd6365f
:f0d50e3af2dfee021a327fb85a993a2312a98145
:af4bfa2e2e65f8a5a50e5ae73f3c4c71284d6ed4
:45f48874add469b01f689f790b7d35974243189b
:b6f59f190e6fd7639a990b8768d8a316ad7a3d45
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:9720507f13b926fbd00cc771f54572aad617f63c
:2431b55e3253fab5169f214c6cb29cf8d92e8d0d
:48aea888319e1848137073c9cbde54a4c2a731c9
:43d735f634efd1e4c2f27fc00d1cc88e1ed5f734
:65b6d541681f3f77da8b0f067df198e63af6f894
:f5750ef386c6b937e849db2779a6bbdd7dedea20
:d382cf9422aa044ad1bc2febeed52db164476b76
:92239d62af9fd0a186d6d473e9067f3f5a77041d
:be507c791e34415e8f42f0e6030c889b2895cf9a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:a2ca796180094930b6d1b35d0b4a3498620e4a0e
:80f8035a924561efa31931f6f745fe8da3877636
:b0509d73dad3d586df15ed69a7dff7d2d905b446
:989ae6528c12f0c2860156deb76c7eed3dbdf9c4
:3416589c13c921b6b80966339727cf9795745aec
:4a6ee14569eba5fa4db8f5736b6acc22cfc58429
:d3bfaba4a51b641b2e032a0265d007301eb2b1ea
:2e0332e637b48683977b771c15b2bdde06a884ad
:8dc4a1ebfbcabb5161c99fbd7c9487d6b9d4792c
:81eb2e9f77c29d5429214f186610b5f1a65b356a
:28b80003d0af9ae51a57d29d7ac777e1a0737644
:c1f907f9b8dfe8629c4c161984edf4554f3fcc23
:7aeec0a11e0604bf0835957af4ca2c45766e715f
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:ddf1c57f9c14dece523e2ab2f32b0e963543e7f8
:9a6818cae07aeca6151aedbfd6dc3e7fe7c50fc1
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:3502d62ecd88cad5768fd906f7a7b2d64f12c900
:dc19ab4963e1a041f626d127249f49732b5b4c27
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c6739204320eb15bdcdba039a2b183298170403e
:3702cd48ce2ba7ba3b178c3ac9a82650fb4d5f78
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:63836926ac1e2ef5ad69b01ebb7566509807a5c7
:163b323da65b708418226eb5fa8b057c731d1475
:5594fb0cf303eaa942a49b5b27fad1ecf19e9bc0
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:d11228282c7309963f0cc10f69ed07a840db7305
:44034e743d9c751244cf8fe25f563fbc1c48c706
:df08b5ac6d8043709e9b4f869e0263ecf1029dbe
:cb04056dcb40f1e6ef5df3e1299aeffcbc727e4a
:08adabf5a4ead02e1a059a1e6e091f9f483c33cc
:ed91e7cbb6d7056226b7d9d50fff88e24dd5eaac
:70422b2c48830a5eb41d3c71b01650c17ce3d72e
:7c282e5eb5cffbcd7b9e3a88225fdb32080c4ffb
:4c842320387ff7f6f91b7842b223c16518be909f
:d17a8b3e0cc92f57790517789b7843df1cf59504
:07470201df55a5254027d05fa4dc509b10f2986a
:01d90d92527b46043c831953b97d77ef7229ebad
:51a78844d8347cde69a77178e4796311a98c6250
:47a40981a24865af75bd3cb571d198a0558d88e9
:5a77eaeca07dbd493ca0396977c3134c71e54ec5
:ccb73bf0ed7094af175b72c6e605472777dc05aa
:60fd7edc04aaa4645beb723ee37129b005c59809
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:bea79cbbcd7ab7fba28f6433d4de252a2d881cea
:7108012e0ef6adba96f7e5f010bf3bdcc2d3a8bb
:fdfce5c12ecabff8b9094ae5ba59d2f53ba4f609
:cdcc8b6e29ba3f10be78549732e0ab6032ea6de2
:1c6a95451ee19617be5abea3d121f0226d21ddda
:4073c2d4d5b37399c889d2c0d39a1b62ce268eb9
:245f7db29e065857c9e7281146e181fef177c5b2
:1fe64959006d20e7fda8dec36f4c644436b9c068
:93ddd025955ab6c6aad8b407ef9f7e218a7079a0
:f47fce6e45fa4fdaf051267eaa7ed685f4f9125e
:3dca2bc44a1174648d4422edc8c5b568252211ef
:75619e843305416e437da3897c6f1f8221c6da79
:f8489220082f3b63fef4f4901c802d58fdcf1adb
:a7c41ab696884bb4175d4a79c572b53e2074581d
:62281e8fb25e2af2f760d32eb7b7d5acd1727e7d
:9878e4bdc80ba740f1ed6d667290994eb362f4fc
:4953d1f613914126bccceb3cb96386647ffba9df
:966d459c405de674f55b4d7a3c82cf94f320ca7b
:ddda5b85a9d1d9a2111035e8d350615513dcbe27
:e4ca46d8391eb088724843719f7a68b1da161f8a
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:07e3e8c837546130e09d6f081891976656531590
:5b5c1086424f261b1d3264999be0fb3189156969
:517ae5f1128577c8d5bfd92916a3ea421ae0d683
:a78edf8a5a0a276ae39396f4240150a45b924216
:69cf1642cf044599516cc7b59585492673744d7c
:3df30a759480b10a1013a4defedb8f618c6703ff
:41a00167eb13913d50ef5e784e82aee1fc2e3afa
:33001d9c43203911ccf35a2f3db5b6b2d70cb292
:87115a3ef54601a058f07e921cb1a3b817a39225
:e567a4b498aa9dfc484575e666a17925f0944318
:c0516bb2083183aa526e64fdc452a92d9a0e4f4f
:8e27eda711b173aec34935b8882e5805a5b56fee
:790f206de27690431bcd8fd1c818faf3375a83c6
:e364a0e52fc7c3a41e4caa387cd27889f8edbacd
:ee8a8ced576ef1c94d19f9749154d86dc77ffebb
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:c6f377e700bbc426a13730d655b13a9f0c5043c9
:6753b40223d1ac0f8a76740b540291c21b44fafd
:8ec458a1d4aa9f77a71fc6cb5f7a958c0b27f927
:aaede7303de154cfc3e77f5f5743ebb77bc30fb8
:bf39399fb3522729b19a2e894bb05cb0e4df37f5

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libreoffice/basis3.4/program/libucbhelper4gcc3.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libfwklx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libsofficeapp.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libsfxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libbasegfxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/share/fonts/default/Type1/s050000l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1316820813
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1316808622
:/usr/lib64/libreoffice/basis3.4/program/libtllx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/libgio-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317406982
:/usr/share/fonts/msttcore/arialbd.ttf msttcore-fonts-2.0-3.noarch (None) 1316907322
:/usr/lib64/libgdk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1316804742
:/usr/lib64/libreoffice/basis3.4/program/libuuilx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libicule.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1316809018
:/usr/lib64/libicudata.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1316809018
:/usr/lib64/libreoffice/basis3.4/program/libsblx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libuno_cppuhelpergcc3.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1316808250
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1316808305
:/usr/lib64/libreoffice/basis3.4/program/desktopbe1.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1316820721
:/usr/lib64/libreoffice/basis3.4/program/libtklx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/deploymentlx.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1316772626
:/usr/lib64/libreoffice/basis3.4/program/libdbtoolslx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1316808224
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317406987
:/usr/lib64/libreoffice/basis3.4/program/libxstor.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libi18nisolang1gcc3.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libeditenglx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1316820980
:/usr/lib64/libreoffice/ure/lib/libuno_salhelpergcc3.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libsvxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libooxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libcppcanvaslx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1316808222
:/lib64/ld-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1316808299
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc16.x86_64 (Fedora Project) 1316804348
:/usr/lib64/libgtk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1316804742
:/lib64/libgthread-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317406982
:/usr/lib64/libreoffice/basis3.4/program/libfileacc.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib/locale/locale-archive glibc-common-2.14.90-10.x86_64 (Fedora Project) 1317309426
:/usr/lib64/libreoffice/basis3.4/program/libvbahelperlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/localebe1.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.1-10.fc16.x86_64 (Fedora Project) 1317841042
:/usr/lib64/libreoffice/basis3.4/program/libfwelx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1316808334
:/usr/lib64/libreoffice/ure/lib/introspection.uno.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libfrmlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1316808304
:/usr/lib64/libreoffice/program/soffice.bin libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libfilterconfig1.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1316808296
:/usr/lib64/libgraphite2.so.2.0.0 graphite2-1.0.3-1.fc16.x86_64 (Fedora Project) 1316845688
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1316804729
:/lib64/libresolv-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1316808314
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317407071
:/usr/lib64/libreoffice/basis3.4/program/fastsax.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libevtatt.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1316808464
:/usr/lib64/libreoffice/basis3.4/program/oovbaapi.rdb libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/bootstrap.uno.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/share/fonts/msttcore/timesbd.ttf msttcore-fonts-2.0-3.noarch (None) 1316907322
:/usr/lib64/libreoffice/basis3.4/program/sax.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1316820721
:/usr/lib64/libreoffice/basis3.4/program/libcanvastoolslx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libucpchelp1.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/librt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1316808237
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317406985
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1316765689
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1316808294
:/usr/lib64/libreoffice/ure/lib/reflection.uno.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/ure/lib/libreg.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libdrawinglayerlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/i18npool.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1316808308
:/usr/lib64/libreoffice/basis3.4/program/libsvxcorelx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/share/misc/types.rdb libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/ure/lib/libstore.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1316808235
:/usr/lib64/libreoffice/basis3.4/program/libsotlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libsvllx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libuno_sal.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1316804730
:/lib64/libselinux.so.1 libselinux-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1317667581
:/usr/lib64/libreoffice/basis3.4/program/liblnglx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libavmedialx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libwriterfilterlx.so libreoffice-writer-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841274
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317667616
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317406985
:/usr/lib64/libreoffice/basis3.4/program/gconfbe1.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libicuuc.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1316809018
:/lib64/libgmodule-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317406982
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1316808255
:/usr/lib64/libicui18n.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1316809018
:/usr/lib64/libreoffice/basis3.4/program/libsaxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libspl_unxlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libgnutls.so.26.21.1 gnutls-2.12.7-2.fc16.x86_64 (Fedora Project) 1316808316
:/lib64/libpthread-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1316808302
:/usr/lib64/libreoffice/basis3.4/program/libi18npaperlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1316808300
:/usr/lib64/libreoffice/basis3.4/program/libmsfilterlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/libgobject-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317406982
:/usr/lib64/libreoffice/basis3.4/program/libdeploymentmisclx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1316808225
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1316765880
:/usr/lib64/libreoffice/basis3.4/program/libucppkg1.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/libdl-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317667616
:/usr/lib64/libreoffice/basis3.4/program/libutllx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/stocservices.uno.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libucb1.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/configmgr.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/offapi.rdb libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1316808295
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1316808303
:/usr/lib64/libreoffice/basis3.4/program/libpackage2.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/liblocaledata_en.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libgcc3_uno.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libunoxmllx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/share/fonts/msttcore/arial.ttf msttcore-fonts-2.0-3.noarch (None) 1316907322
:/lib64/libutil-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libcups.so.2 cups-libs-1:1.5.0-13.fc16.x86_64 (Fedora Project) 1317841048
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.x86_64 (Fedora Project) 1316808260
:/usr/share/fonts/msttcore/verdana.ttf msttcore-fonts-2.0-3.noarch (None) 1316907322
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1316804331
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1316808619
:/usr/lib64/libreoffice/basis3.4/program/libcomphelpgcc3.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libjvmaccessgcc3.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libfwilx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1316804287
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317667616
:/usr/lib64/libreoffice/basis3.4/program/libucpfile1.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1316808243
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1316808402
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1316808253
:/usr/share/fonts/msttcore/times.ttf msttcore-fonts-2.0-3.noarch (None) 1316907322
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1316772626
:/lib64/libglib-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317406982
:/usr/lib64/libreoffice/basis3.4/program/libsvtlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1316808298
:/usr/lib64/libreoffice/basis3.4/program/libi18nutilgcc3.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317407071
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1316765694
:/usr/lib64/libreoffice/basis3.4/program/libvclplug_gtklx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libxmlreader.so libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libvcllx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/ure/lib/libuno_cppu.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1316803874
:/lib64/libgcc_s-4.6.1-20111002.so.1 libgcc-4.6.1-10.fc16.x86_64 (Fedora Project) 1317841040
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1316820721
:/lib64/libc-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/usr/lib64/libreoffice/basis3.4/program/ucpexpand1.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libxcrlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libhelplinkerlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libreoffice/basis3.4/program/libswlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317406985
:/usr/lib64/libreoffice/basis3.4/program/fsstorage.uno.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1316765689
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317309436
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317667616
:/usr/lib64/libreoffice/basis3.4/program/libvclplug_genlx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1316808249
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1316808273
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.0-1.fc16.x86_64 (Fedora Project) 1317406993
:/usr/lib64/libreoffice/ure/lib/libjvmfwk.so.3 libreoffice-ure-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841043
:/usr/lib64/libreoffice/basis3.4/program/libxolx.so libreoffice-core-1:3.4.3.2-11.fc16.x86_64 (Fedora Project) 1317841262
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1316804733
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1316808469

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-igor
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1517
:HOSTNAME=igor-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-2t9fpe/S.gpg-agent:1538:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=80bceb81e0be19877ca8e69f00000014-1317843108.531672-1682287927
:XRE_PROFILE_NAME=
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-haS1Er
:XRE_IMPORT_PROFILES=
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird
:IMSETTINGS_MODULE=none
:PYTHONIOENCODING=utf_8
:SVN_EDITOR=vim_svn.sh
:USER=igor
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib64/thunderbird:/usr/lib64/thunderbird/plugins:/usr/lib64/thunderbird
:XRE_START_OFFLINE=
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-mujmBies1393/agent.1393
:LIBPATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:GNOME_DISABLE_CRASH_DIALOG=1
:USERNAME=igor
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1549,unix/unix:/tmp/.ICE-unix/1549
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/igor
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/igor/.local/bin:/home/igor/bin
:QT_IM_MODULE=xim
:PWD=/home/igor
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1389
:XRE_PROFILE_PATH=
:XSUNSMESIZE=512
:'HISTIGNORE=&:l:ll:ls:ls -l:[bf]g:vi:cd:cd -:..:-'
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/home/igor
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:LOGNAME=igor
:PRINTER=CUPS-Xerox_Color
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BCj4MdSBYz,guid=330fd0a769332583ddcd7ed300000031
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird
:WINDOWPATH=1
:XRE_BINARY_PATH=
:XDG_RUNTIME_DIR=/run/user/igor
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:XAUTHORITY=/var/run/gdm/auth-for-igor-ziTOnO/database

var_log_messages:
:Oct  5 16:37:58 igor-hp kernel: [ 4018.794913] soffice.bin[4726]: segfault at 0 ip 00007ff9333ac89d sp 00007fff7d2ff750 error 6 in libvclplug_genlx.so[7ff933302000+d6000]
:Oct  5 16:38:04 igor-hp abrt[8262]: saved core dump of pid 4726 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2011-10-05-16:37:58-4726 (115372032 bytes)
Comment 1 igor.redhat@gmail.com 2011-10-05 17:44:04 EDT
Created attachment 526585 [details]
File: maps
Comment 2 igor.redhat@gmail.com 2011-10-05 17:44:05 EDT
Created attachment 526586 [details]
File: backtrace
Comment 3 Caolan McNamara 2011-10-19 04:36:33 EDT
I think there might be a fix for this upstream already, for some certain configurations of displays
Comment 4 Caolan McNamara 2011-10-19 04:56:16 EDT
hmm, vcl/unx/gtk/app/gtkdata.cxx:232 we have set m_aXineramaScreenIndexMap to be empty of size nMonitors, so I can't see how we can crash later in unx/source/app/saldisp.cxx:2708 with aXineramaScreenIndexMap[i] = ...
Comment 5 Caolan McNamara 2011-10-19 05:18:53 EDT
well, I added in the known fix for a similar bug, but it doesn't seem to be the same as this exact one, but maybe there's a connection.

Do you know what happened when it crasher, e.g. running and plugged an external monitor into a laptop, or pulled one out. Or something more exotic ?
Comment 6 Fedora Update System 2011-10-24 06:55:27 EDT
libreoffice-3.4.3.2-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-13.fc16
Comment 7 Fedora Update System 2011-10-24 23:07:55 EDT
Package libreoffice-3.4.3.2-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.3.2-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14890
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-10-25 06:35:55 EDT
libreoffice-3.4.3.2-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-14.fc16
Comment 9 Fedora Update System 2011-10-27 08:22:34 EDT
libreoffice-3.4.3.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-15.fc16
Comment 10 Fedora Update System 2011-11-04 21:20:18 EDT
libreoffice-3.4.3.2-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.